%define rname egenix-mx-base
# we don't want to provide private python extension libs
%define _exclude_files_from_autoprov %{python_sitearch}/.*\\.so\\|%{python3_sitearch}/.*\\.so

Name:           python-%{rname}
Version:        3.2.9
Release:        %mkrel 2
Summary:        Python extensions from eGenix
License:        eGenix.com Public License
Group:          Development/Python
URL:            http://www.egenix.com/files/python/eGenix-mx-Extensions.html
Source0:        http://downloads.egenix.com/python/%{rname}-%{version}.tar.gz
Patch0:         egenix-mx-base-fix_underlinking.diff
Patch1:         egenix-mx-base-fix_lib64.patch
Obsoletes:      %{rname} < %{version}-%{release}
Provides:       egenix-mx-base = %{version}-%{release}
BuildRequires:  python-devel

%description
The eGenix mx Extension Series are a collection of
Python extensions written in ANSI C and Python
which provide a large spectrum of useful additions
to everyday Python programming.

The BASE package includes the Open Source subpackages
of the series and is needed by all other add-on
packages of the series.

This software is brought to you by eGenix.com and
distributed under the eGenix.com Public License.

%package devel
Summary:        Development files for %{name}
Group:          Development/Python
Requires:       %{name} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description devel
Development files for %{name}

%package doc
Summary:        Documentation for %{name}
Group:          Development/Python
BuildArch:      noarch

%description doc
The mx extensions for Python are a collection of Python software tools
which enhance Python's usability in many areas. This package contains
the documentation.

%prep
%setup -q -n %{rname}-%{version}
%{_bindir}/find . -type f -name '*.py' | %{_bindir}/xargs -t %{__perl} -pi -e 's|/usr/local.*python|/usr/bin/python|'

%patch0 -p0
%patch1 -p1

%build
%py2_build

%install
%py2_install

pushd %{buildroot}%{python_sitearch}
for I in `find . -name '*.h'`; do
    mkdir -p %{buildroot}%{_includedir}/`dirname $I`
    mv $I %{buildroot}%{_includedir}/`dirname $I`
done
popd

# Examples, tests, benchmarks
BASEDIR=%{buildroot}%{python_sitearch}
mkdir examples
mv ${BASEDIR}/mx/TextTools/mxTextTools/testkj.p* examples/
mv ${BASEDIR}/mx/Stack/stackbench.p* examples/
mv ${BASEDIR}/mx/Queue/queuebench.p* examples/
mv ${BASEDIR}/mx/DateTime/mxDateTime/test.p* examples/
# This is a utility.  If it's deemed useful to the general public it should
# be installed in %{_bindir} instead of examples
mv ${BASEDIR}/mx/BeeBase/showBeeDict.p* examples/

# These files are documentation, and are in a bad location
mkdir docs
mv -f ${BASEDIR}/mx/{LICENSE,COPYRIGHT} docs/
rm -rf ${BASEDIR}/mx/Doc
DESTDIR=`pwd`/docs
pushd ${BASEDIR}/mx
cp -pr --parents */Doc/* ${DESTDIR}/
cp -pr --parents */Examples/* ${DESTDIR}/
popd

# Cleanup
rm -rf ${BASEDIR}/mx/*/Doc/
rm -rf ${BASEDIR}/mx/*/Examples
rm -rf docs/*/Examples/*.pyc
rm -rf docs/*/Examples/*.pyo
rm -rf examples/*.pyc
rm -rf examples/*.pyo

# Fixup permissions
find %{buildroot}%{python_sitearch}/mx/ -name \*.so -exec chmod 755 {} \;


%files
%doc COPYRIGHT LICENSE README 
%{python2_sitearch}/mx
%{python2_sitearch}/*.egg-info

%files devel
%{_includedir}/mx/

%files doc
%doc docs/*



%changelog
* Fri Feb 12 2016 umeabot <umeabot> 3.2.9-2.mga6
+ Revision: 958593
- Mageia 6 Mass Rebuild

* Tue Oct 20 2015 philippem <philippem> 3.2.9-1.mga6
+ Revision: 893040
- update to 3.2.9

* Wed Oct 15 2014 umeabot <umeabot> 3.2.6-8.mga5
+ Revision: 745933
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.2.6-7.mga5
+ Revision: 728382
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.2.6-6.mga5
+ Revision: 688014
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Rebuild for new Python

* Tue Oct 22 2013 umeabot <umeabot> 3.2.6-4.mga4
+ Revision: 543328
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.2.6-3.mga4
+ Revision: 498462
- Rebuild to add different pythonegg provides for python 2 and 3

* Wed Oct 02 2013 philippem <philippem> 3.2.6-2.mga4
+ Revision: 490358
+ rebuild (emptylog)

* Wed Oct 02 2013 philippem <philippem> 3.2.6-1.mga4
+ Revision: 490343
-update to 3.2.6
- add doc an devel subpackages

* Sun Jan 13 2013 umeabot <umeabot> 3.2.5-2.mga3
+ Revision: 378798
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 philippem <philippem> 3.2.5-1.mga3
+ Revision: 325414
- update to 3.2.5

* Mon Feb 06 2012 philippem <philippem> 3.2.3-1.mga2
+ Revision: 205402
- Update to 3.2.3.

* Wed Jan 11 2012 philippem <philippem> 3.2.2-1.mga2
+ Revision: 194974
- Update to 3.2.2.

* Sat Oct 22 2011 philippem <philippem> 3.2.1-1.mga2
+ Revision: 157364
- new version 3.2.1

* Thu Feb 17 2011 dmorgan <dmorgan> 3.1.3-2.mga1
+ Revision: 53068
- imported package python-egenix-mx-base


* Fri Oct 29 2010 Michael Scherer <misc@mandriva.org> 3.1.3-2mdv2011.0
+ Revision: 590016
- rebuild for python 2.7

* Thu Dec 24 2009 Frederik Himpe <fhimpe@mandriva.org> 3.1.3-1mdv2010.1
+ Revision: 481991
- update to new version 3.1.3

* Tue Sep 15 2009 Thierry Vignaud <tv@mandriva.org> 3.1.2-2mdv2010.0
+ Revision: 442101
- rebuild

* Thu Jan 29 2009 Funda Wang <fwang@mandriva.org> 3.1.2-1mdv2009.1
+ Revision: 335143
- New version 3.1.2

* Fri Dec 26 2008 Funda Wang <fwang@mandriva.org> 3.1.1-2mdv2009.1
+ Revision: 319210
- more underlinking fix
- New version 3.1.1
- rebuild for new python

  + Michael Scherer <misc@mandriva.org>
    - patch0 to fix underlinkng problem
    - rebuild for new python

* Fri Aug 01 2008 Thierry Vignaud <tv@mandriva.org> 3.0.0-4mdv2009.0
+ Revision: 259601
- rebuild

* Thu Jul 24 2008 Thierry Vignaud <tv@mandriva.org> 3.0.0-3mdv2009.0
+ Revision: 247408
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Wed Dec 12 2007 David Walluck <walluck@mandriva.org> 3.0.0-1mdv2008.1
+ Revision: 117653
- 3.0.0


* Tue Dec 05 2006 Nicolas Lécureuil <neoclust@mandriva.org> 2.0.6-3mdv2007.0
+ Revision: 90862
- Rebuild against new python
- import python-egenix-mx-base-2.0.6-2mdv2007.0

* Sat Sep 09 2006 David Walluck <walluck@mandriva.org> 2.0.6-2mdv2007.0
- rebuild
- fix install

* Sat Apr 30 2005 Pascal Terjan <pterjan@mandriva.org> 2.0.6-1mdk
- 2.0.6
- Updated url
- Change name to python-egenix-mx-base
- Fix interpreter path
- Don't ship .pyc

* Sat Dec 04 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.5-3mdk
- Really rebuild for new python

* Sat Dec 04 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.5-2mdk
- Rebuild for new python

* Thu Apr 22 2004 Pascal Terjan <pterjan@mandrake.org> 2.0.5-1mdk
- 2.0.5

